Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc
Class ExtendedOperatorSet

    java.lang.Object
      com.singularsys.jep.OperatorTable2
          com.singularsys.jep.standard.StandardOperatorTable2
              com.singularsys.jep.misc.ExtendedOperatorSet

All Implemented Interfaces:
  JepComponent, OperatorTableI, java.io.Serializable

    public class ExtendedOperatorSet

extends StandardOperatorTable2

A example of an OperatorSet which demonstrates some features. Suffix operators: n! (factorial) and n% (percentage) TernaryOperator: cond?tval:fval

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ExtendedOperatorSet.ExtendedOperators`
`static class` | `ExtendedOperatorSet.Factorial` Simple implementation of factorial, good up to 20!

Nested classes/interfaces inherited from class com.singularsys.jep.OperatorTable2
`OperatorTable2.BasicOperators, OperatorTable2.OperatorKey, OperatorTable2.PsudoOperators, OperatorTable2.SpecialOperators`

Constructor Summary
`ExtendedOperatorSet()`
`ExtendedOperatorSet(OperatorTable2 oldTable)`

Method Summary
`protected void` | `setExtendedPfmcs()`

Methods inherited from class com.singularsys.jep.standard.StandardOperatorTable2
`init, setBasicPfmcs, setPsudoPfmcs, setSpecialPfmcs`

Methods inherited from class com.singularsys.jep.OperatorTable2
`addOperator, addOperator, appendOperator, entrySet, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getKey, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, insertOperator, keySet, removeOperator, removeOperator, replaceOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtendedOperatorSet

    public ExtendedOperatorSet()

### ExtendedOperatorSet

    public ExtendedOperatorSet(OperatorTable2 oldTable)

Parameters:
  `oldTable` -

Method Detail

### setExtendedPfmcs

    protected void setExtendedPfmcs()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep